2

Just installed QGIS 1.8. on Mac OSX

  • Installed GSL
  • Install GDAL 1.9 Complete
  • Installed QGIS

keep getting this console error message in QGIS.

Failed to load /Applications/QGIS.app/Contents/MacOS/../PlugIns/qgis/libgrassrasterprovider.so (Reason: Cannot load library /Applications/QGIS.app/Contents/MacOS/../PlugIns/qgis/libgrassrasterprovider.so: (dlopen(/Applications/QGIS.app/Contents/MacOS/../PlugIns/qgis/libgrassrasterprovider.so, 5): Library not loaded: /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gis.6.4.2.dylib
  Referenced from: /Applications/QGIS.app/Contents/PlugIns/qgis/libgrassrasterprovider.so
  Reason: image not found))

and

Couldn't import Python module 'psycopg2' for communication with PostgreSQL database. Without it you won't be able to run PostGIS manager.

when i try and use the postGIS admin tool

Anyone know how i can fix this..

  • Did you install GRASS? If not and you don't need it, ignore the warning. – underdark Nov 20 '12 at 20:29
3

For PostgreSQL to work (2nd error message) you need to install psycopg2 module from http://www.kyngchaos.com/software/python

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.